% a1dec_spmis.m  --  12.17.01

% this file runs ACF decomposition focusing on Spatial Mismatch
% output is used in Figure 9


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - physical; sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load tim13101		% to use "D_new" or "D_time" metric

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

h= .3;
v= y;
ralph0=v*v';
norton=D_new(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (.5:.5:16)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= .3;
v=resid;
ralph0=v*v';
norton=D_new(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (.5:.5:16)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= .3;
v=resid;
ralph0=v*v';
norton=D_new(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (.5:.5:16)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfminr= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= .3;
v=resid;
ralph0=v*v';
norton=D_new(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (.5:.5:16)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfonlyr= smoor/mom2r;

save a1decps9 acfraw acfres acfminr acfonlyr


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - travel time; sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load tim13101

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

h= 3;
v= y;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfminr= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfonlyr= smoor/mom2r;

save a1dects9 acfraw acfres acfminr acfonlyr


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - ethnic; sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load timeth

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

h= 10;
v= y;
ralph0=v*v';
norton=D_eth91(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (10:10:140)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 10;
v=resid;
ralph0=v*v';
norton=D_eth91(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (10:10:140)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 10;
v=resid;
ralph0=v*v';
norton=D_eth91(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (10:10:140)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfminr= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 10;
v=resid;
ralph0=v*v';
norton=D_eth91(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (10:10:140)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfonlyr= smoor/mom2r;

save a1deces9 acfraw acfres acfminr acfonlyr


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - occup; sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load timocc

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

h= 2.5;
v= y;
ralph0=v*v';
norton=D_occ9(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (2:2:40)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 2.5;
v=resid;
ralph0=v*v';
norton=D_occ9(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (2:2:40)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 2.5;
v=resid;
ralph0=v*v';
norton=D_occ9(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (2:2:40)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfminr= smoor/mom2r;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 2.5;
v=resid;
ralph0=v*v';
norton=D_occ9(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (2:2:40)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfonlyr= smoor/mom2r;

save a1decos9 acfraw acfres acfminr acfonlyr

