% script a1p_t89d.m  -  12.17.01

% this script plots ACFs for unemployment rate
% both raw and as residuals from OLS regression on a set of X's
% exercise is repeated for 1980, 1990, and 1990-80
% distance metric is travel time
% ACFs are saved in acft.mat, to be used with acfbdt.mat 
% in figurA1.m

% v 12.17.01 is for data archive


load chi8090
load tim13101		% to use "D_new" or "D_time" metric

n=length(unempr);

%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
banda= num2str(h);
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres= smoor/mom2r;

h= 3;
banda= num2str(h);
v= y;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
banda= num2str(h);
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfres9= smoor/mom2r;

h= 3;
banda= num2str(h);
v= y;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfraw9= smoor/mom2r;

%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X_D
%%%%%%%%%%%%%%%%%%%%

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])

h= 3;
banda= num2str(h);
v=resid;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfresD= smoor/mom2r;

h= 3;
banda= num2str(h);
v= y;
ralph0=v*v';
norton=D_time(:);
unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton=norton(bbb);
dist0= (5:5:90)';
smoor=kregN(ralph,norton,dist0,h);
mom2r=mean(v.^2);
acfrawD= smoor/mom2r;

save acft acfraw acfraw9 acfrawD acfres acfres9 acfresD
