% script acfs3d.m  -  12.17.01

% this file computes 3-D ACFs using pairs of distances
% outcome variable is unemployment rate, both raw and 
% as residuals from OLS regression on a set of X's
% does acf's for 1980, 1990, 1990-80



load chi8090
load tim13101		% to use "D_new" or "D_time" metric
load timeth
load timocc


n=length(unempr);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), O E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_occ8(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% geographic
%dist01= (5:5:80)';				% travel time
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfuoe8= smoor'/mom2r;
save acfuoe8 acfuoe8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), O E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_occ8(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% occupation
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);

acfoe8= smoor'/mom2r;
save acfoe8 acfoe8



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), O E-91
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_occ9(:);
norton2= D_eth91(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% occupation
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfuoe9= smoor'/mom2r;
save acfuoe9 acfuoe9


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), O E-91
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_occ9(:);
norton2= D_eth91(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% occupation
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfoe9= smoor'/mom2r;
save acfoe9 acfoe9




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, O E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_occ8(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% occupation
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfucoe8= smoor'/mom2r;
save acfucoe8 acfucoe8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, O E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= 2.5;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_occ8(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (2:2:40)';			% occupation
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfcoe8= smoor'/mom2r;
save acfcoe8 acfcoe8




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), P E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
%dist01= (5:5:80)';				% travel time
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfupe8= smoor'/mom2r;
save acfupe8 acfupe8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), P E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);

acfpe8= smoor'/mom2r;
save acfpe8 acfpe8



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), P E-91
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth91(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfupe9= smoor'/mom2r;
save acfupe9 acfupe9


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), P E-91
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth91(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfpe9= smoor'/mom2r;
save acfpe9 acfpe9




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, P E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfucpe8= smoor'/mom2r;
save acfucpe8 acfucpe8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, P E-81
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 10;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_eth81(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (10:10:140)';			% ethnicity
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfcpe8= smoor'/mom2r;
save acfcpe8 acfcpe8




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), P O-8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ8(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
%dist01= (5:5:80)';				% travel time
%dist02= (10:10:140)';			% ethnicity
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfupo8= smoor'/mom2r;
save acfupo8 acfupo8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(80) on X(80), P O-8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ8(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);

acfpo8= smoor'/mom2r;
save acfpo8 acfpo8



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), P O-9
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ9(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfupo9= smoor'/mom2r;
save acfupo9 acfupo9


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y(90) on X(90), P O-9
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ9(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfpo9= smoor'/mom2r;
save acfpo9 acfpo9




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, P O-8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
%v=resid;
v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ8(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfucpo8= smoor'/mom2r;
save acfucpo8 acfucpo8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Y_D on X_D, P O-8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(unempr);

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


h1= .6;
h2= 2.5;
v=resid;
%v= y;
ralph0=v*v';

norton1=D_new(:);
norton2= D_occ8(:);

unused=triu(ones(n));
bbb=find(unused(:)==0);
clear unused
ralph=ralph0(:);
clear ralph0;
ralph=ralph(bbb);
norton1= norton1(bbb);
norton2= norton2(bbb);
dist01= (.5:.5:16)';			% geographic
dist02= (2:2:40)';			% occupation
smoor=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
mom2r=mean(v.^2);


acfcpo8= smoor'/mom2r;
save acfcpo8 acfcpo8



