% function file DA_distance.m  -  2.18.02

% this function takes latitude and longitude of n points and calculates 
% pairwise distances in Km between any two points in this vector.
% the output is an upper triangular (nxn) matrix of distances:
% since the matrix is symmetric, only the upper triangular part is filled in


function D= distance(long,lat);


[m,n]= size(long);
D= zeros(m);

pp= 180/pi;
long= long/pp;
lat= lat/pp;

tic

for ii=1:(m-1)
   
   latii= lat(ii)*ones(m-ii,1);
   latjj= lat(ii+1:m);
   longii= long(ii)*ones(m-ii,1);
   longjj= long(ii+1:m);
   D(ii,ii+1:m)= 111.3*pp*(acos(sin(latii).*sin(latjj) + cos(latii).*cos(latjj).*cos(longii-longjj)))';
   
end

toc
