% script DA_mkD_eth.m  -  2.18.02

% this script constructs a matrix "eth**" of size 841 x (# ethnicities)
% and calculates for each tract i the euclidean distance between tract i's
% ethnic composition and all the other tracts.
% this is also good for D_occ, with matrix "occ*" instead of "eth**"


load chi8090

eth81= [pcamicd pcaspcd pcblacd pcgerm pcspacd pcirish pcital pcpole pcwhicd];
eth82= [pcamicd pcaspcd pcblacd pcspacd pcwhicd];
eth91= [pcamicd9 pcaspcd9 pcblacd9 pcgerm9 pcspacd9 pcirish9 pcital9 pcpole9 pcwhicd9];
eth92= [pcamicd9 pcaspcd9 pcblacd9 pcspacd9 pcwhicd9];

occ8= [pcexecu pcprofe pctechn pcsales pcadmin ...
        pcprihs pcprote pcservi pcfarmi pcpreci pcmachi pctrans pchandl];
occ9= [pcexecu9 pcprofe9 pctechn9 pcsales9 pcadmin9 ...
        pcprihs9 pcprote9 pcservi9 pcfarmi9 pcpreci9 pcmachi9 pctrans9 pchandl9];

D_eth81= zeros(841);
D_eth82= zeros(841);
D_eth91= zeros(841);
D_eth92= zeros(841);
D_occ8= zeros(841);
D_occ9= zeros(841);

for ii= 1:841
   
   matrice= kron(ones(841,1),eth81(ii,:));
   D_eth81(ii,:)= sqrt(sum(((matrice-eth81).^2)'));
   matrice= kron(ones(841,1),eth82(ii,:));
   D_eth82(ii,:)= sqrt(sum(((matrice-eth82).^2)'));
   matrice= kron(ones(841,1),eth91(ii,:));
   D_eth91(ii,:)= sqrt(sum(((matrice-eth91).^2)'));
   matrice= kron(ones(841,1),eth92(ii,:));
   D_eth92(ii,:)= sqrt(sum(((matrice-eth92).^2)'));
   matrice= kron(ones(841,1),occ8(ii,:));
   D_occ8(ii,:)= sqrt(sum(((matrice-occ8).^2)'));
   matrice= kron(ones(841,1),occ9(ii,:));
   D_occ9(ii,:)= sqrt(sum(((matrice-occ9).^2)'));
   
end
