% figur4.m  -  12.17.01

% this script plots 2-D ACFs for unempr, both raw and 
% as residuals from OLS regression on a set of X's
% with 5% acceptance bands
% distance metric here is ethnic distance
% all years: 1980, 1990, 1990-80

% file produces Fig. 4 in the paper

load acfe
load acfbde

%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%

dist0= (10:10:140)';
subplot(3,1,1)
plot(dist0,acfraw,'-');
axis([0 140 -.6 .6])
hold on
position= find((acfraw>acf_bds(2,:)')|(acfraw<acf_bds(1,:)'));
plot(dist0(position),acfraw(position),'*');

plot(dist0,acfres,'--');
position= find((acfres>acfr_bds(2,:)')|(acfres<acfr_bds(1,:)'));
plot(dist0(position),acfres(position),'o');

xlabel('Ethnic Distance, 1980')
ylabel('ACF')
stringa1= 'FIGURE 4: ACFs Using Ethnic Distance             ';
stringa2= '                                                 ';
stringa3= '             Unemployment Rate, 1980             ';
stringa= [stringa1; stringa2; stringa3];
title(stringa)
legend('Raw Unempl.','5% Signif.','Residuals','5% Signif.')
hold off

%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%

subplot(3,1,2)
plot(dist0,acfraw9,'-');
axis([0 140 -.6 .6])
hold on
position= find((acfraw9>acf9_bds(2,:)')|(acfraw9<acf9_bds(1,:)'));
plot(dist0(position),acfraw9(position),'*');

plot(dist0,acfres9,'--');
position= find((acfres9>acfr9_bds(2,:)')|(acfres9<acfr9_bds(1,:)'));
plot(dist0(position),acfres9(position),'o');

xlabel('Ethnic Distance, 1990')
ylabel('ACF')
title('Unemployment Rate, 1990')
hold off


%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X_D
%%%%%%%%%%%%%%%%%%%%

subplot(3,1,3)
plot(dist0,acfrawD,'-');
axis([0 140 -.6 .6])
hold on
position= find((acfrawD>acfDD_bds(2,:)')|(acfrawD<acfDD_bds(1,:)'));
plot(dist0(position),acfrawD(position),'*');

plot(dist0,acfresD,'--');
position= find((acfresD>acfrDD_bds(2,:)')|(acfresD<acfrDD_bds(1,:)'));
plot(dist0(position),acfresD(position),'o');

xlabel('Ethnic Distance, 1980')
ylabel('ACF')
title('Unemployment Rate, 1990-80')
hold off
