% figur5.m  -  12.17.01

% this file generates Fig. 5 in the paper


load acfupe8
load a3d_upe8

ciccio= acfupe8;
pippo= acfupe8;
dist01= (.5:.5:16)';
dist02= (10:10:140)';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[m,n]= size(acf_last);
lower= unvec(acf_bds(1,:)',m,n);
lower= lower';
upper= unvec(acf_bds(2,:)',m,n);
upper= upper';

[m,n]= size(pippo);

for ii=1:m

   for jj=1:n

      if (ciccio(ii,jj)<upper(ii,jj))&(ciccio(ii,jj)>lower(ii,jj))
         pippo(ii,jj)= NaN;
      end

   end

end

mesh(dist01,dist02,ciccio);
hold on
surfc(dist01,dist02,pippo);
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% things to change
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

axis([0 16 0 140 -1 1])		
set(gca,'xtick',[0 4 8 12 16])
set(gca,'ytick',[0 30 60 90 120])
xlabel('Physical Distance (Km)')
ylabel('Ethnic Distance, 1980')
zlabel('ACF')
title('FIGURE 5: ACF for Unemployment Rate, 1980')

