% figur6.m  -  12.17.01

% this file generates Fig. 6 in the paper


load acfupo8
load a3d_upo8

ciccio= acfupo8;
pippo= acfupo8;
dist01= (.5:.5:16)';
dist02= (2:2:40)';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[m,n]= size(acf_last);
lower= unvec(acf_bds(1,:)',m,n);
lower= lower';
upper= unvec(acf_bds(2,:)',m,n);
upper= upper';

[m,n]= size(pippo);

for ii=1:m

   for jj=1:n

      if (ciccio(ii,jj)<upper(ii,jj))&(ciccio(ii,jj)>lower(ii,jj))
         pippo(ii,jj)= NaN;
      end

   end

end

mesh(dist01,dist02,ciccio);
hold on
surfc(dist01,dist02,pippo);
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% things to change
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

axis([0 16 0 40 -1 1])		
set(gca,'xtick',[0 4 8 12 16])
set(gca,'ytick',[0 10 20 30 40])
xlabel('Physical Distance (Km)')
ylabel('Occupation Distance, 1980')
zlabel('ACF')
title('FIGURE 6: ACF for Unemployment Rate, 1980')

