% figur7.m  -  12.17.01

% this file generates Fig. 7 in the paper


load acfuoe8
load a3d_uoe8

ciccio= acfuoe8;
pippo= acfuoe8;
dist01= (2:2:40)';
dist02= (10:10:140)';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[m,n]= size(acf_last);
lower= unvec(acf_bds(1,:)',m,n);
lower= lower';
upper= unvec(acf_bds(2,:)',m,n);
upper= upper';

[m,n]= size(pippo);

for ii=1:m

   for jj=1:n

      if (ciccio(ii,jj)<upper(ii,jj))&(ciccio(ii,jj)>lower(ii,jj))
         pippo(ii,jj)= NaN;
      end

   end

end

mesh(dist01,dist02,ciccio);
hold on
surfc(dist01,dist02,pippo);
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% things to change
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

axis([0 40 0 140 -1 1])		
set(gca,'xtick',[0 10 20 30 40])
set(gca,'ytick',[0 30 60 90 120])
xlabel('Occupation Distance, 1980')
ylabel('Ethnic Distance, 1980')
zlabel('ACF')
title('FIGURE 7: ACF for Unemployment Rate, 1980')

