% kreg3d.m  -  12.18.01

% this function performs Gaussian kernel regression of
% "y" on "x" and "z", at points "x0" and "z0" 
% with bandwidths "h1" and "h2"


function [kreg]=kreg3d(y,x,x0,z,z0,h1,h2);



[T]=length(y);
[N]=length(x0);
[M]=length(z0);	

kreg0=ones(N,M);


for jj=1:N,
   
   disp(jj)

   for kk= 1:M,
      
	%evaluate the kernel %
   
   ink1=(x0(jj)-x)/h1;
	ink2=(z0(kk)-z)/h2;
	%k=(abs(ink)<1).*(1-ink.^2).^2;
	k=exp(-.5*ink1.^2).*exp(-.5*ink2.^2);
   kreg0(jj,kk)=sum(k.*y)/sum(k);
   
   end

end

kreg=kreg0;



