% script mkrndr2.m  -  12.17.01

% this script takes unemployment rate, and generates 
% a random sample of size "trials" from the same marginal density as unempr, 
% but with no spatial correlation.
% band calculation is included in here.

% The ACF bounds acf_bds for both resid and raw,
% for all years, and all metrics p t e o.

% v 12.17.01 is for Data Archive


%%%%%%%%%%%%%%%%%%%%%%%%%
%  D_new
%%%%%%%%%%%%%%%%%%%%%%%%%



load chi8090
load tim13101				% to use "D_new" and "D_time" metric

N= length(unempr);
trials= 240;
rand('state',sum(1000*clock))	% to set random generator at different state each time

h= .3;

%%%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%%%

acf= [];
acfr= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr= [acfr acf_last];

end

acf= acf';
acfr= acfr';

K= length(dist0);
[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);
acfr_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr(:,jj));
   colonna(indice)= [];
   acfr_bds(1,jj)= min(colonna);
   acfr_bds(2,jj)= max(colonna);
   
end


%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%%%%%%%

acf9= [];
acfr9= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf9= [acf9 acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr9= [acfr9 acf_last];

end

acf9= acf9';
acfr9= acfr9';

K= length(dist0);
[mm,nn]= size(acf9);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf9_bds= zeros(2,nn);
acfr9_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf9(:,jj));
   colonna(indice)= [];
   acf9_bds(1,jj)= min(colonna);
   acf9_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr9(:,jj));
   colonna(indice)= [];
   acfr9_bds(1,jj)= min(colonna);
   acfr9_bds(2,jj)= max(colonna);
   
end

%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X(D)
%%%%%%%%%%%%%%%%%%%%%%

acfDD= [];
acfrDD= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfDD= [acfDD acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_new(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (.5:.5:16)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfrDD= [acfrDD acf_last];

end

acfDD= acfDD';
acfrDD= acfrDD';

K= length(dist0);
[mm,nn]= size(acfDD);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acfDD_bds= zeros(2,nn);
acfrDD_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acfDD(:,jj));
   colonna(indice)= [];
   acfDD_bds(1,jj)= min(colonna);
   acfDD_bds(2,jj)= max(colonna);
   
   colonna= sort(acfrDD(:,jj));
   colonna(indice)= [];
   acfrDD_bds(1,jj)= min(colonna);
   acfrDD_bds(2,jj)= max(colonna);
   
end


save acfbdp acf_bds acf9_bds acfDD_bds acfr_bds acfr9_bds acfrDD_bds


%%%%%%%%%%%%%%%%%%%%%%%%%
%  D_time
%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load tim13101				% to use "D_new" and "D_time" metric

N= length(unempr);
trials= 240;
rand('state',sum(1000*clock))	% to set random generator at different state each time

h= 3;

%%%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%%%

acf= [];
acfr= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr= [acfr acf_last];

end

acf= acf';
acfr= acfr';

K= length(dist0);
[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);
acfr_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr(:,jj));
   colonna(indice)= [];
   acfr_bds(1,jj)= min(colonna);
   acfr_bds(2,jj)= max(colonna);
   
end


%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%%%%%%%

acf9= [];
acfr9= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf9= [acf9 acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr9= [acfr9 acf_last];

end

acf9= acf9';
acfr9= acfr9';

K= length(dist0);
[mm,nn]= size(acf9);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf9_bds= zeros(2,nn);
acfr9_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf9(:,jj));
   colonna(indice)= [];
   acf9_bds(1,jj)= min(colonna);
   acf9_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr9(:,jj));
   colonna(indice)= [];
   acfr9_bds(1,jj)= min(colonna);
   acfr9_bds(2,jj)= max(colonna);
   
end

%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X(D)
%%%%%%%%%%%%%%%%%%%%%%

acfDD= [];
acfrDD= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfDD= [acfDD acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_time(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (5:5:90)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfrDD= [acfrDD acf_last];

end

acfDD= acfDD';
acfrDD= acfrDD';

K= length(dist0);
[mm,nn]= size(acfDD);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acfDD_bds= zeros(2,nn);
acfrDD_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acfDD(:,jj));
   colonna(indice)= [];
   acfDD_bds(1,jj)= min(colonna);
   acfDD_bds(2,jj)= max(colonna);
   
   colonna= sort(acfrDD(:,jj));
   colonna(indice)= [];
   acfrDD_bds(1,jj)= min(colonna);
   acfrDD_bds(2,jj)= max(colonna);
   
end


save acfbdt acf_bds acf9_bds acfDD_bds acfr_bds acfr9_bds acfrDD_bds



%%%%%%%%%%%%%%%%%%%%%%%%%
%  D_ethnic
%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load timeth			
N= length(unempr);
trials= 240;
rand('state',sum(1000*clock))	% to set random generator at different state each time

h= 10;

%%%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%%%

acf= [];
acfr= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_eth81(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_eth81(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr= [acfr acf_last];

end

acf= acf';
acfr= acfr';

K= length(dist0);
[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);
acfr_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr(:,jj));
   colonna(indice)= [];
   acfr_bds(1,jj)= min(colonna);
   acfr_bds(2,jj)= max(colonna);
   
end


%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%%%%%%%

acf9= [];
acfr9= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_eth91(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf9= [acf9 acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_eth91(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr9= [acfr9 acf_last];

end

acf9= acf9';
acfr9= acfr9';

K= length(dist0);
[mm,nn]= size(acf9);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf9_bds= zeros(2,nn);
acfr9_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf9(:,jj));
   colonna(indice)= [];
   acf9_bds(1,jj)= min(colonna);
   acf9_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr9(:,jj));
   colonna(indice)= [];
   acfr9_bds(1,jj)= min(colonna);
   acfr9_bds(2,jj)= max(colonna);
   
end

%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X(D)
%%%%%%%%%%%%%%%%%%%%%%

acfDD= [];
acfrDD= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_eth81(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfDD= [acfDD acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_eth81(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (10:10:140)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfrDD= [acfrDD acf_last];

end

acfDD= acfDD';
acfrDD= acfrDD';

K= length(dist0);
[mm,nn]= size(acfDD);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acfDD_bds= zeros(2,nn);
acfrDD_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acfDD(:,jj));
   colonna(indice)= [];
   acfDD_bds(1,jj)= min(colonna);
   acfDD_bds(2,jj)= max(colonna);
   
   colonna= sort(acfrDD(:,jj));
   colonna(indice)= [];
   acfrDD_bds(1,jj)= min(colonna);
   acfrDD_bds(2,jj)= max(colonna);
   
end


save acfbde acf_bds acf9_bds acfDD_bds acfr_bds acfr9_bds acfrDD_bds



%%%%%%%%%%%%%%%%%%%%%%%%%
%  D_occup
%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090
load timocc		
N= length(unempr);
trials= 240;
rand('state',sum(1000*clock))	% to set random generator at different state each time

h= 2.5;

%%%%%%%%%%%%%%%%%%%%%%
% 1980
%%%%%%%%%%%%%%%%%%%%%%

acf= [];
acfr= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_occ8(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_occ8(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr= [acfr acf_last];

end

acf= acf';
acfr= acfr';

K= length(dist0);
[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);
acfr_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr(:,jj));
   colonna(indice)= [];
   acfr_bds(1,jj)= min(colonna);
   acfr_bds(2,jj)= max(colonna);
   
end


%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990
%%%%%%%%%%%%%%%%%%%%%%%%%%

acf9= [];
acfr9= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_occ9(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf9= [acf9 acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_occ9(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfr9= [acfr9 acf_last];

end

acf9= acf9';
acfr9= acfr9';

K= length(dist0);
[mm,nn]= size(acf9);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf9_bds= zeros(2,nn);
acfr9_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acf9(:,jj));
   colonna(indice)= [];
   acf9_bds(1,jj)= min(colonna);
   acf9_bds(2,jj)= max(colonna);
   
   colonna= sort(acfr9(:,jj));
   colonna(indice)= [];
   acfr9_bds(1,jj)= min(colonna);
   acfr9_bds(2,jj)= max(colonna);
   
end

%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 on X(D)
%%%%%%%%%%%%%%%%%%%%%%

acfDD= [];
acfrDD= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   
   v=yy;
   
   ralph0=v*v';
   norton=D_occ8(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfDD= [acfDD acf_last];

   v=yy-xx*b;
   
   ralph0=v*v';
   norton=D_occ8(:);
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton=norton(bbb);
   dist0= (2:2:40)';
   smoo=kregN(ralph,norton,dist0,h);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acfrDD= [acfrDD acf_last];

end

acfDD= acfDD';
acfrDD= acfrDD';

K= length(dist0);
[mm,nn]= size(acfDD);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acfDD_bds= zeros(2,nn);
acfrDD_bds= zeros(2,nn);

for jj= 1:K
   
   colonna= sort(acfDD(:,jj));
   colonna(indice)= [];
   acfDD_bds(1,jj)= min(colonna);
   acfDD_bds(2,jj)= max(colonna);
   
   colonna= sort(acfrDD(:,jj));
   colonna(indice)= [];
   acfrDD_bds(1,jj)= min(colonna);
   acfrDD_bds(2,jj)= max(colonna);
   
end


save acfbdo acf_bds acf9_bds acfDD_bds acfr_bds acfr9_bds acfrDD_bds

