% script mkrnuoe.m  -  12.17.01

% this script takes unemployment rate, and generates 
% a random sample of size "trials" from the same marginal density as unempr, 
% but with no spatial correlation.
% band calculation is included in here.
% ACF bounds are generates for pair of distances:
% occupation - ethnic


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    RAW
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%
% 1980 - O E81
%%%%%%%%%%%%%%%%%%%%%%

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   v=yy;
   
   ralph0=v*v';
   
   norton1= D_occ8(:);
   norton2= D_eth81(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3d_uoe8 smoo mom2 acf acf_last acf_bds


%%%%%%%%%%%%%%%%%%%%%%
% 1990 - O E91
%%%%%%%%%%%%%%%%%%%%%%

clear

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   v=yy;
   
   ralph0=v*v';
   
   norton1= D_occ9(:);
   norton2= D_eth91(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3d_uoe9 smoo mom2 acf acf_last acf_bds


%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 O E81
%%%%%%%%%%%%%%%%%%%%%%

clear

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   v=yy;
   
   ralph0=v*v';
   
   norton1= D_occ8(:);
   norton2= D_eth81(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3ducoe8 smoo mom2 acf acf_last acf_bds

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    RESIDUALS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%
% 1980 O E81
%%%%%%%%%%%%%%%%%%%%%%

clear

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unempr)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824,segr,pcnowhi,pchigh,pperhh,pcvac, ...
      pcmnger,mgroren,vperhat,pcolf_m,pcolf_f,pcclge, ...
      pcfem,pc018,pc024,pcspa,tmwkme];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   v=yy-xx*b;
   
   ralph0=v*v';
   
   norton1= D_occ8(:);
   norton2= D_eth81(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3d_oe8 smoo mom2 acf acf_last acf_bds


%%%%%%%%%%%%%%%%%%%%%%
% 1990 O E91
%%%%%%%%%%%%%%%%%%%%%%

clear

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   v=yy-xx*b;
   
   ralph0=v*v';
   
   norton1= D_occ9(:);
   norton2= D_eth91(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3d_oe9 smoo mom2 acf acf_last acf_bds


%%%%%%%%%%%%%%%%%%%%%%
% 1990-80 O E81
%%%%%%%%%%%%%%%%%%%%%%

clear

rand('state',sum(1000*clock))	% to set random generator at different state each time

load chi8090
load timeth
load timocc

N= length(unempr);
trials= 80;
h1= 2.5;
h2= 10;

acf= [];

emprate=(100-unemprD)/100;
y=emprate-mean(emprate);
x=[ones(N,1),pc1824D,segrD,pcnowhiD,pchighD,pperhhD,pcvacD, ...
      pcmngerD,mgrorenD,vperhatD,pcolf_mD,pcolf_fD,pcclgeD, ...
      pcfemD,pc018D,pc024D,pcspaD,tmwkmeD];

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
x= x(:,colonna);


for tt= 1:trials
   
   disp(tt)
   indice= ceil(rand(N,1)*N);
   yy= y(indice);
   xx= x(indice,:);
   invx= inv(xx'*xx);
   b=invx*xx'*yy;
   v=yy-xx*b;
   
   ralph0=v*v';
   
   norton1= D_occ8(:);
   norton2= D_eth81(:);
   
   unused=triu(ones(N));
   bbb=find(unused(:)==0);
   clear unused
   ralph=ralph0(:);
   clear ralph0;
   ralph=ralph(bbb);
   norton1= norton1(bbb);
   norton2= norton2(bbb);
   dist01=(2:2:40)';
   dist02= (10:10:140)';
   smoo=kreg3d(ralph,norton1,dist01,norton2,dist02,h1,h2);
   mom2=mean(v.^2);
   acf_last= smoo/mom2;
   acf= [acf acf_last(:)];

end

acf= acf';

[mm,nn]= size(acf);
signif= .05;
bound= signif/2;
top= round(bound*mm);
bottom= ceil((1-bound)*mm)+1;
indice= [1:top bottom:mm];
acf_bds= zeros(2,nn);

for jj= 1:nn
   
   colonna= sort(acf(:,jj));
   colonna(indice)= [];
   acf_bds(1,jj)= min(colonna);
   acf_bds(2,jj)= max(colonna);
   
end


save a3d_coe8 smoo mom2 acf acf_last acf_bds


