% table23.m  --  12.18.01

% this file generates column 2 of Tables 2 and 3 in the paper;
% the other columns can be generated by replacing 1990 variables
% with 1980 and 1990-80 variables, respectively.



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - Racial/Ethnic
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus racial
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 5 6 7 8 9 10 11 12 13 14 15 16 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only racial
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 4 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - Education
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus education
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 6 7 8 9 10 11 12 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only education
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 5 13];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1990 - Spatial Mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
load chi8090

n=length(unempr);

emprate=(100-unempr9)/100;
y=emprate-mean(emprate);
x=[ones(n,1),pc18249,segr9,pcnowhi9,pchigh9,pperhh9,pcvac9, ...
      pcmnger9,mgroren9,vperhat9,pcolf_m9,pcolf_f9,pcclge9, ...
      pcfem9,pc0189,pc0249,pcspa9,tmwkme9];


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID WITH COMPLETE SET
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID minus sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESID only sp.mismatch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

colonna= [1 18];
variabili= num2str(colonna)
xx= x(:,colonna);
[n,k]= size(xx);
invx= inv(xx'*xx);
b=invx*xx'*y;
resid=y-xx*b;
ssr= resid'*resid;
sigma= ssr/(n-k);
varb= sigma*invx;
stdb= sqrt(diag(varb));
vtot= (y-mean(y))'*(y-mean(y));
r2= 1- ssr/vtot;
adjr2= 1- (n-1)*(1-r2)/(n-k);

disp([b stdb]')
disp([r2 adjr2])
